QGIS Application - Bug report #15397
.bat files installed in \\bin directory have .tmpl appended
2016-08-05 04:34 PM - Joel Masselink

Status: Closed

Priority: Normal

Assignee:

Category: Build/Install

Affected QGIS version:2.16.1 Regression?: No
Operating System: Windows Easy fix?: No

Pull Request or Patch supplied: Resolution: end of life
Crashes QGIS or corrupls data: Copied to github as #: 23327
Description

Using OSGeo advanced setup on a Windows machine, the .bat files which ought to be updated in the \\bin directory have .bat.tmpl
extension, rendering the shortcut links to QGIS Desktop useless. Once the .tmpl is removed from the file extension, the QGIS Desktop
shortcuts work once again. | have tried to uninstall and reinstall using OSGeo, but the issue persists.

History

#1 - 2016-08-06 01:21 AM - Jiirgen Fischer
- Status changed from Open to Feedback

check OSGEO4W_ROOT\\var\\log\\setup.log or setup-full.log on why the postinstall script and in turn textreplace is not run

#2 - 2016-08-08 09:38 AM - Joel Masselink
- Assignee set to Jirgen Fischer

Hi Jurgen,
Thank you for your feedback! | checked setup.log.full and found 8 incidences where textreplace failed.

Here is one example:

C:\\>textreplace -std -t bin/setup.bat

Failed to open source file 'bin/setup.bat'.

No such file or directory

This only occurs on one machine, another machine has no problems updating.

Thanks!
-Joel

#3 - 2017-01-04 05:06 AM - Giovanni Manghi
- Resolution set to not reproducable
- Status changed from Feedback to Closed

This only occurs on one machine, another machine has no problems updating.

closing as it seems a local issue on a single machine. Please reopen if you find that the issue really applies to ggis in general.
#4 - 2018-06-01 12:34 AM - Joel Masselink

- Assignee deleted (Jiirgen Fischer)

- Status changed from Closed to Reopened

Giovanni Manghi wrote:

This only occurs on one machine, another machine has no problems updating.

closing as it seems a local issue on a single machine. Please reopen if you find that the issue really applies to qgis in general.

I have this issue on two Windows 10 Enterprise machines where QGIS 3.x is installed, which manifests itself after updating.

My workaround is to remove all .tmpl files and launch QGIS from the .bat file.

This issue makes me very curious though. Are others having this issue?

#5 - 2019-03-09 03:08 PM - Giovanni Manghi

- Resolution changed from not reproducable to end of life

- Status changed from Reopened to Closed

End of life notice: QGIS 2.18 LTR

Source:
http://blog.qgis.org/2019/03/09/end-of-life-notice-qgis-2-18-ltr/

QGIS 3.4 has recently become our new Long Term Release (LTR) version. This is a major step in our history - a long term release version based on the
massive updates, library upgrades and improvements that we carried out in the course of the 2.x to 3x upgrade cycle.

We strongly encourage all users who are currently using QGIS 2.18 LTR as their preferred QGIS release to migrate to QGIS 3.4. This new LTR version
will receive regular bugfixes for at least one year. It also includes hundreds of new functions, usability improvements, bugfixes, and other goodies. See the
relevant changelogs for a good sampling of all the new features that have gone into version 3.4

Most plugins have been either migrated or incorporated into the core QGIS code base.

We strongly discourage the continued use of QGIS 2.18 LTR as it is now officially unsupported, which means we’ll not provide any bug fix releases for it.

You should also note that we intend to close all bug tickets referring to the now obsolete LTR version. Original reporters will receive a notification of the
ticket closure and are encouraged to check whether the issue persists in the new LTR, in which case they should reopen the ticket.

If you would like to better understand the QGIS release roadmap, check out our roadmap page! It outlines the schedule for upcoming releases and will help
you plan your deployment of QGIS into an operational environment.

The development of QGIS 3.4 LTR has been made possible by the work of hundreds of volunteers, by the investments of companies, professionals, and

administrations, and by continuous donations and financial support from many of you. We sincerely thank you all and encourage you to collaborate and
support the project even more, for the long term improvement and sustainability of the QGIS project.
